#include "minimd-integrate.h"
#include "minimd-force.h"

#include "minimd-atom.h"
#include "minimd-in.h"
#include "minimd-timer.h"
#include "minimd-output.h"
#include "minimd-neighbor.h"

namespace mini
{

  void
  minimd::force::compute(const boost::intrusive_ptr<atom>& a,
      const boost::intrusive_ptr<neighbor>& n)
  {
    execution_->compute("Force::compute", a, n, 0);
  }

}
