/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include <sstmac/software/api/mpi/mpi_strategies/mpi_collective/mpicollpayload.h>

DeclareSerializable(sstmac::sw::mpicollpayload)
  ;

namespace sstmac
{
  namespace sw
  {
    void
    mpicollpayload::serialize_order(sst_serializer* ser)
    {
      ser->do_stl_vector_const_obj(contents_);
    }
  }
}
