/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009-2011 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/software/process/user_app_f90.h>

extern "C" int user_skeleton_main_();


namespace sstmac
{
  namespace sw
  {
    SSTRegister("f90 | F90 | user_mpiapp_f90 | user_app_f90", app, user_app_f90);

    void user_app_f90::skeleton_main() {
      user_skeleton_main_();
    }

  } //end namespace sw
} //end namespace sstmac



