/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2011 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_BACKENDS_NATIVE_LAUNCH_FIXEDINDEXING_H_INCLUDED 
#define SSTMAC_BACKENDS_NATIVE_LAUNCH_FIXEDINDEXING_H_INCLUDED

#include <sstmac/common/ptr_type.h>
#include <sstmac/software/services/launch/indexing/indexstrategy.h>
#include <sstmac/common/sim_parameters.h>
namespace sstmac  { namespace sw
  {

 /* class fixedindexing: public indexstrategy {
    std::vector<nodeaddress::ptr> nodes_;
  protected:
    fixedindexing(const std::vector<nodeaddress::ptr> &nodes);
  public:
    typedef boost::intrusive_ptr<fixedindexing> ptr;

    /// Construct a new object of this type.
    /// @param nodes the nodes to be allocated
    static fixedindexing::ptr
    construct(const std::vector<nodeaddress::ptr>& nodes);
    
    virtual ~fixedindexing() throw() {}

    /// Assign processes to nodes using the fixed assignment
    /// vector passed to the constructor.
    /// \param nodes is the list of unique nodes to be used for the allocation
    /// \param ppn is the nominal number of processes allocated on each node.
    /// \param result is the resulting vector of length nodes (size nproc)
    /// \param nproc the total number of processes to allocate
    /// \throw valueerror if nodes.empty()
    /// \throw valueerror if ppn <= 0
    void allocate(const std::set<nodeaddress::ptr, nodeaddress::nodeaddresscomp> &nodes,
                  int ppn,
                  std::vector<nodeaddress::ptr> &result,
                  int nproc);
  };*/

} } // end of namespace sstmac

#endif
