//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_ANALYZER_SETTING_SETTING
#define SSTMAC_TOOLS_ANALYZER_SETTING_SETTING

#include <string>

namespace sstmac { namespace tools { namespace analyzer {
    
class Setting 
{
public:
    bool Load(int argc, char* argv[]);

    const std::string& GetMetaPath() const;
    const std::string& GetReportPath() const;

private:
    std::string m_metaPath;
    std::string m_reportPath;
};

} } } //namespace

#endif //SSTMAC_TOOLS_ANALYZER_SETTING_SETTING
