//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMMON_REPORT_REPORTBASE_INCLUDED_
#define SSTMAC_TOOLS_COMMON_REPORT_REPORTBASE_INCLUDED_

#include <string>
#include <iostream>

namespace sstmac { namespace tools {

class ReportBase 
{
public:
    virtual ~ReportBase ();

    bool Read(const std::string& filePath);
    bool Write(const std::string& filePath) const;

private:
    virtual bool ReadImpl(std::istream& is) = 0;
    virtual bool WriteImpl(std::ostream& os) const = 0;
};

} } //namespace

#endif //SSTMAC_TOOLS_COMMON_REPORT_REPORTBASE_INCLUDED_
