//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_VISUALIZER_DOCUMENT_STATSDOCUMENT_INCLUDED_
#define SSTMAC_TOOLS_VISUALIZER_DOCUMENT_STATSDOCUMENT_INCLUDED_

#include <wx/docview.h>
#include "common/stats/stats.h"

namespace sstmac { namespace tools { namespace visualizer {

class StatsDocument : public wxDocument
{
    DECLARE_DYNAMIC_CLASS(StatsDocument);

public:
    const Stats& GetStats() const;

protected:
    virtual bool DoOpenDocument(const wxString& filePath);
    virtual bool DoSaveDocument(const wxString& filePath);

private:
    Stats m_stats;
};

} } } //namespace

#endif //SSTMAC_TOOLS_VISUALIZER_DOCUMENT_STATSDOCUMENT_INCLUDED_
