//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_VISUALIZER_UI_MAINFRAME_INCLUDED_
#define SSTMAC_TOOLS_VISUALIZER_UI_MAINFRAME_INCLUDED_

#include <wx/docview.h>

class wxLog;

namespace sstmac { namespace tools { namespace visualizer {

class MainFrame : public wxDocParentFrame
{
    DECLARE_CLASS(MainFrame);
    DECLARE_EVENT_TABLE()

public:
    MainFrame (wxDocManager* docManager, const wxString& title);
    virtual ~MainFrame();

private:
    void OnMenuHelpAbout(wxCommandEvent& cmd);
    void CreateMenuBar(wxDocManager* docManager);

private:
    wxLog* m_oldLog;
};

MainFrame* GetMainFrame();

} } } //namespace

#endif //SSTMAC_TOOLS_VISUALIZER_UI_MAINFRAME_INCLUDED_
