#ifndef PACKETFLOW_ROUTER_H
#define PACKETFLOW_ROUTER_H

#include <sstmac/common/eventmodule.h>
#include <sstmac/hardware/packetflow/packetflow.h>

namespace sstmac {
    namespace hw {

class packetflow_router :
    virtual public ptr_type
{
    public:
        typedef boost::intrusive_ptr<packetflow_router> ptr;

        virtual int
        get_next_port(const packetflow_payload::ptr& msg) = 0;

        virtual void
        eject(const packetflow_payload::ptr& msg) = 0;
};

    }
}


#endif // PACKETFLOW_ROUTER_H
