/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2011 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/common/ptr_type.h>
#include <sstmac/software/services/launch/indexing/fixedindexing.h>
#include <sstmac/common/errors.h>

//#include <sstmac/common/factories/indexer_factory.h>
//SSTRegisterIndexer("fixed", sstmac::sw::fixedindexing);

namespace sstmac {
namespace sw {

/*fixedindexing::fixedindexing(const std::vector<nodeaddress::ptr> &nodes) :
		nodes_(nodes) {
}

fixedindexing::ptr fixedindexing::construct(
		const std::vector<nodeaddress::ptr>& nodes) {
	return fixedindexing::ptr(new fixedindexing(nodes));
}

void fixedindexing::allocate(
		const std::set<nodeaddress::ptr, nodeaddress::nodeaddresscomp> &nodes,
		int ppn,
	 std::vector<nodeaddress::ptr> &result,
		int nproc) {
	static std::string here("fixedindexing::allocate: ");

	if (nproc < 0) {
		nproc = nodes.size() * ppn;
	}

	if (nodes.empty()) {
		throw valueerror(here + "Empty node vector.");
	}
	if (ppn <= 0) {
		throw valueerror(here + "ppn must be > 0.");
	}
	if (nproc != nodes_.size()) {
        std::cerr << "nproc: " << nproc << ", nodes.size: " << nodes_.size()
				<< std::endl;
		throw valueerror(here + "number of processes requested does not match"
				" number of nodes available");
	}
	//type<nodeaddress::ptr>::set nodes1, nodes2;
	// nodes1.insert(nodes.begin(), nodes.end());
	//nodes2.insert(nodes_.begin(), nodes_.end());
	//if (nodes1 != nodes2) {
	//  throw valueerror(here+"given nodes do not match fixed nodes");
	//}
	result = nodes_;
}*/

}
} // end of namespace sstmac

