//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#include "common/comparison/comparison.h"
#include "common/utilities/assert.h"

namespace sstmac { namespace tools {

ComparisonMeta& Comparison::GetMetaData(int index)
{
    ASSERT(index < 2, "Comparison Meta index out of range");

    return m_meta[index];
}

const ComparisonMeta& Comparison::GetMetaData(int index) const
{
    return const_cast<Comparison*>(this)->GetMetaData(index);
}

} } //namespace
