//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_COMPARISON_CRITERION_CRITERIONGENERATEBASE_INCLUDED_
#define SSTMAC_TOOLS_COMPARISON_CRITERION_CRITERIONGENERATEBASE_INCLUDED_

#include <boost/shared_ptr.hpp>

namespace sstmac { namespace tools { class Stats; } }

namespace sstmac { namespace tools { namespace comparator {

class CriterionGenerateBase
{
public:
    typedef boost::shared_ptr<CriterionGenerateBase> Ptr;

public:
    virtual ~CriterionGenerateBase ();

    virtual bool Compare(const Stats& refStats, const Stats& simStats) = 0;
};

} } } //namespace

#endif //SSTMAC_TOOLS_COMPARISON_CRITERION_CRITERIONGENERATEBASE_INCLUDED_
