//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_VISUALiZER_PLOT_ENTRYPLOTIMPL_INCLUDED_
#define SSTMAC_TOOLS_VISUALiZER_PLOT_ENTRYPLOTIMPL_INCLUDED_

#include "visualizer/plot/entry/entryplotbase.h"
#include "common/stats/entry/entrydataimpl.h"

namespace sstmac { namespace tools { namespace visualizer {

DECLARE_ENTRYPLOT(Overall);
DECLARE_ENTRYPLOT(ByNode);
DECLARE_ENTRYPLOT(MpiCall);
DECLARE_ENTRYPLOT(Collective);
DECLARE_ENTRYPLOT(Transmission);

} } } //namespace

#endif //SSTMAC_TOOLS_VISUALiZER_PLOT_ENTRYPLOTIMPL_INCLUDED_
