//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_VISUALIZER_PLOT_PLOTBASE_INCLUDED_
#define SSTMAC_TOOLS_VISUALIZER_PLOT_PLOTBASE_INCLUDED_

#include <boost/shared_ptr.hpp>
#include "common/utilities/classhelper.h"

class plstream;

namespace sstmac { namespace tools { namespace visualizer {

class PlotBase 
{
public:
    CLASS_ID(EntryPlotBase);

    typedef boost::shared_ptr<PlotBase> Ptr;

public:
    virtual ~PlotBase ();

    virtual void Plot(plstream* pls) = 0;
};


} } } //namespace

#endif //SSTMAC_TOOLS_VISUALIZER_PLOT_PLOTBASE_INCLUDED_
