//------------------------------------------------------------------------------
// 
//     SST/Macro tools set
//
//------------------------------------------------------------------------------

#ifndef SSTMAC_TOOLS_VISUALIZER_VIEW_STATSVIEW_INCLUDED_
#define SSTMAC_TOOLS_VISUALIZER_VIEW_STATSVIEW_INCLUDED_

#include <wx/docview.h>

namespace sstmac { namespace tools { namespace visualizer {

class PlotFrame;

class StatsView : public wxView
{
    DECLARE_DYNAMIC_CLASS(StatsView);

public:
    virtual bool OnCreate(wxDocument* document, long flag);
    virtual void OnDraw(wxDC* dc);
    virtual void OnUpdate(wxView* sender, wxObject* hint = NULL);
    virtual bool OnClose(bool deleteWindow);

private:
    PlotFrame* m_frame;
};

} } } //namespace

#endif //SSTMAC_TOOLS_VISUALIZER_VIEW_STATSVIEW_INCLUDED_
